Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class UserBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.UserBean

All Implemented Interfaces:
  java.io.Serializable

public class UserBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UserBean()`
`UserBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, java.lang.String cellPhone, java.lang.String email, java.lang.String fax, java.lang.String firstName, java.util.Calendar lastLogin, java.lang.String lastName, java.lang.String localeCode, java.lang.String location, java.lang.String loginName, java.lang.String manager, java.lang.String middleInitial, java.lang.String phone, java.lang.String role, java.lang.String timeZoneId, java.lang.String title)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCellPhone()` Gets the cellPhone value for this UserBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmail()` Gets the email value for this UserBean.
`java.lang.String` | `getFax()` Gets the fax value for this UserBean.
`java.lang.String` | `getFirstName()` Gets the firstName value for this UserBean.
`java.util.Calendar` | `getLastLogin()` Gets the lastLogin value for this UserBean.
`java.lang.String` | `getLastName()` Gets the lastName value for this UserBean.
`java.lang.String` | `getLocaleCode()` Gets the localeCode value for this UserBean.
`java.lang.String` | `getLocation()` Gets the location value for this UserBean.
`java.lang.String` | `getLoginName()` Gets the loginName value for this UserBean.
`java.lang.String` | `getManager()` Gets the manager value for this UserBean.
`java.lang.String` | `getMiddleInitial()` Gets the middleInitial value for this UserBean.
`java.lang.String` | `getPhone()` Gets the phone value for this UserBean.
`java.lang.String` | `getRole()` Gets the role value for this UserBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getTimeZoneId()` Gets the timeZoneId value for this UserBean.
`java.lang.String` | `getTitle()` Gets the title value for this UserBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCellPhone(java.lang.String cellPhone)` Sets the cellPhone value for this UserBean.
`void` | `setEmail(java.lang.String email)` Sets the email value for this UserBean.
`void` | `setFax(java.lang.String fax)` Sets the fax value for this UserBean.
`void` | `setFirstName(java.lang.String firstName)` Sets the firstName value for this UserBean.
`void` | `setLastLogin(java.util.Calendar lastLogin)` Sets the lastLogin value for this UserBean.
`void` | `setLastName(java.lang.String lastName)` Sets the lastName value for this UserBean.
`void` | `setLocaleCode(java.lang.String localeCode)` Sets the localeCode value for this UserBean.
`void` | `setLocation(java.lang.String location)` Sets the location value for this UserBean.
`void` | `setLoginName(java.lang.String loginName)` Sets the loginName value for this UserBean.
`void` | `setManager(java.lang.String manager)` Sets the manager value for this UserBean.
`void` | `setMiddleInitial(java.lang.String middleInitial)` Sets the middleInitial value for this UserBean.
`void` | `setPhone(java.lang.String phone)` Sets the phone value for this UserBean.
`void` | `setRole(java.lang.String role)` Sets the role value for this UserBean.
`void` | `setTimeZoneId(java.lang.String timeZoneId)` Sets the timeZoneId value for this UserBean.
`void` | `setTitle(java.lang.String title)` Sets the title value for this UserBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserBean

    public UserBean()

### UserBean

    public UserBean(java.util.Calendar creationDate,
                    FlexFieldBean[] flexValues,
                    long id,
                    java.util.Calendar lastUpdated,
                    java.lang.String status,
                    java.lang.String cellPhone,
                    java.lang.String email,
                    java.lang.String fax,
                    java.lang.String firstName,
                    java.util.Calendar lastLogin,
                    java.lang.String lastName,
                    java.lang.String localeCode,
                    java.lang.String location,
                    java.lang.String loginName,
                    java.lang.String manager,
                    java.lang.String middleInitial,
                    java.lang.String phone,
                    java.lang.String role,
                    java.lang.String timeZoneId,
                    java.lang.String title)

Method Detail

### getCellPhone

    public java.lang.String getCellPhone()

  Gets the cellPhone value for this UserBean.

  Returns:
    cellPhone

### setCellPhone

    public void setCellPhone(java.lang.String cellPhone)

  Sets the cellPhone value for this UserBean.

  Parameters:
    `cellPhone` -

### getEmail

    public java.lang.String getEmail()

  Gets the email value for this UserBean.

  Returns:
    email

### setEmail

    public void setEmail(java.lang.String email)

  Sets the email value for this UserBean.

  Parameters:
    `email` -

### getFax

    public java.lang.String getFax()

  Gets the fax value for this UserBean.

  Returns:
    fax

### setFax

    public void setFax(java.lang.String fax)

  Sets the fax value for this UserBean.

  Parameters:
    `fax` -

### getFirstName

    public java.lang.String getFirstName()

  Gets the firstName value for this UserBean.

  Returns:
    firstName

### setFirstName

    public void setFirstName(java.lang.String firstName)

  Sets the firstName value for this UserBean.

  Parameters:
    `firstName` -

### getLastLogin

    public java.util.Calendar getLastLogin()

  Gets the lastLogin value for this UserBean.

  Returns:
    lastLogin

### setLastLogin

    public void setLastLogin(java.util.Calendar lastLogin)

  Sets the lastLogin value for this UserBean.

  Parameters:
    `lastLogin` -

### getLastName

    public java.lang.String getLastName()

  Gets the lastName value for this UserBean.

  Returns:
    lastName

### setLastName

    public void setLastName(java.lang.String lastName)

  Sets the lastName value for this UserBean.

  Parameters:
    `lastName` -

### getLocaleCode

    public java.lang.String getLocaleCode()

  Gets the localeCode value for this UserBean.

  Returns:
    localeCode

### setLocaleCode

    public void setLocaleCode(java.lang.String localeCode)

  Sets the localeCode value for this UserBean.

  Parameters:
    `localeCode` -

### getLocation

    public java.lang.String getLocation()

  Gets the location value for this UserBean.

  Returns:
    location

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location value for this UserBean.

  Parameters:
    `location` -

### getLoginName

    public java.lang.String getLoginName()

  Gets the loginName value for this UserBean.

  Returns:
    loginName

### setLoginName

    public void setLoginName(java.lang.String loginName)

  Sets the loginName value for this UserBean.

  Parameters:
    `loginName` -

### getManager

    public java.lang.String getManager()

  Gets the manager value for this UserBean.

  Returns:
    manager

### setManager

    public void setManager(java.lang.String manager)

  Sets the manager value for this UserBean.

  Parameters:
    `manager` -

### getMiddleInitial

    public java.lang.String getMiddleInitial()

  Gets the middleInitial value for this UserBean.

  Returns:
    middleInitial

### setMiddleInitial

    public void setMiddleInitial(java.lang.String middleInitial)

  Sets the middleInitial value for this UserBean.

  Parameters:
    `middleInitial` -

### getPhone

    public java.lang.String getPhone()

  Gets the phone value for this UserBean.

  Returns:
    phone

### setPhone

    public void setPhone(java.lang.String phone)

  Sets the phone value for this UserBean.

  Parameters:
    `phone` -

### getRole

    public java.lang.String getRole()

  Gets the role value for this UserBean.

  Returns:
    role

### setRole

    public void setRole(java.lang.String role)

  Sets the role value for this UserBean.

  Parameters:
    `role` -

### getTimeZoneId

    public java.lang.String getTimeZoneId()

  Gets the timeZoneId value for this UserBean.

  Returns:
    timeZoneId

### setTimeZoneId

    public void setTimeZoneId(java.lang.String timeZoneId)

  Sets the timeZoneId value for this UserBean.

  Parameters:
    `timeZoneId` -

### getTitle

    public java.lang.String getTitle()

  Gets the title value for this UserBean.

  Returns:
    title

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title value for this UserBean.

  Parameters:
    `title` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD